{********************************************************}
{                                                        }
{                 Zeos Database Objects                  }
{           PostgreSql Transaction component             }
{                                                        }
{       Copyright (c) 1999-2001 Sergey Seroukhov         }
{    Copyright (c) 1999-2002 Zeos Development Group      }
{                                                        }
{********************************************************}

unit ZPgSqlCon;

interface

{$R *.dcr}

uses
  Classes, ZConnect, ZDirPgSql;

{$IFNDEF LINUX}
{$INCLUDE ..\Zeos.inc}
{$ELSE}
{$INCLUDE ../Zeos.inc}
{$ENDIF}

type
  { Postgresql database }
  TZZPgSqlDatabase = class(TZZDatabase)
  private
    FDefaultSchema: ShortString;
  public
    constructor Create(AOwner: TComponent); override;
  published
    property  DefaultSchema: ShortString read FDefaultSchema write FDefaultSchema;
    property  Host;
    property  Port;
    property  Database;
    property  Encoding;
    property  Login;
    property  Password;
    property  LoginPrompt;
    property  Connected;
  end;

implementation

{***************** TPgSqlDatabase implementation *****************}

{ Class constructor }
constructor TZZPgSqlDatabase.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FHandle := TDirPgSqlConnect.Create;
  Port := '5432';
end;

end.
